<template>
	<section id="showcase" class="tabs__content">
		<div class="layout portable-layout--stacked">
			<div class="layout__item palm--order-02 ph">
				<div id="showcase-grid" class="grid">
					<div id="showcase-grid__wrapper">

						<div class="grid__row layout">
							<div class="grid__item layout__item u-2/3" ref="gridItem1_1">
								<img src="img/grid/01.png" alt="">
							</div>
							<div class="grid__item grid__item--stacked layout__item u-1/3" ref="gridItem1_2">
								<div class="grid__item" ref="gridItem1_3">
									<img src="img/grid/02_2.png" alt="">
								</div>
								<div class="grid__item" ref="gridItem1_4">
									<img src="img/grid/thumb_gears2_default.png" alt="">
								</div>
							</div>
						</div>

						<div class="grid__row layout">
							<div class="grid__item  grid__item--stacked layout__item u-1/3" ref="gridItem2_1">
								<div class="grid__item" ref="gridItem2_2">
									<img src="img/grid/03.png" alt="">
								</div>
								<div class="grid__item" ref="gridItem2_3">
									<img src="img/grid/gears2_design_detail01.png" alt="">
								</div>
							</div>
							<div class="grid__item layout__item u-2/3" ref="gridItem2_4">
								<img src="img/grid/gears2_design_detail03.png" alt="">
							</div>
						</div>

						<div class="grid__row layout">
							<div class="grid__item layout__item" ref="gridItem3_1">
								<img src="img/grid/gears2_connectivity_basic.png" alt="">
							</div>
							<div class="grid__item layout__item" ref="gridItem3_2">
								<img src="img/grid/gears2_design_detail02.png" alt="">
							</div>
						</div>

						<div class="grid__row layout">
							<div class="grid__item layout__item" ref="gridItem4_1">
								<img src="img/grid/gears2_kv_left.png" alt="">
							</div>
							<div class="grid__item layout__item" ref="gridItem4_2">
								<img src="img/grid/01_2.png" alt="">
							</div>
						</div>

					</div>
				</div>
			</div>

			<div class="layout__item palm--order-01 ph">
				<section id="showcase-copy" class="showcase-copy fixedsticky">
					<p>
						Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda doloremque, in
						nemo nisi quaerat quibusdam temporibus. Ducimus eaque eligendi, enim mollitia neque
						porro reprehenderit sequi ullam unde vel voluptates voluptatum?
					</p>
					<p>
						Lorem ipsum dolor sit amet, consectetur adipisicing elit. Assumenda doloremque.
					</p>
					<div class="btn-wrapper">
						<a href="#" class="btn btn--sec">I'm a CTA</a>
						<a href="#" class="btn btn--sec">Yeah, me too</a>
					</div>
				</section>
			</div>

		</div>
	</section>
</template>

<script>
import { TweenMax } from "greensock";

export default {
  name: "Showcase",
  methods: {
    animateItems: function() {
      const elements = [
				this.$refs.gridItem1_1,
				this.$refs.gridItem1_2,
				this.$refs.gridItem1_3,
				this.$refs.gridItem1_4,
			  this.$refs.gridItem2_1,
				this.$refs.gridItem2_2,
				this.$refs.gridItem2_3,
				this.$refs.gridItem2_4,
			  this.$refs.gridItem3_1,
				this.$refs.gridItem3_2,
			  this.$refs.gridItem4_1,
				this.$refs.gridItem4_2
			];

      TweenMax.staggerTo(
        elements,
        0.25,
        {
          scale: 1,
          opacity: 1,
          delay: 0,
          ease: Power4.easeOut
        },
        0.1
      );
    }
  },
  mounted: function() {
    this.animateItems();
  }
};
</script>

<style scoped lang="scss">
@import "../styles/breakpoints.scss";

.grid__item {
  position: relative;
  opacity: 0;
  transform: scale(0);
  transition: z-index 0.25s;
	backface-visibility: hidden;
	display: flex;
}

.grid__item > img {
  display: block;
  width: 100%;
  object-fit: cover;
  filter: grayscale(70%);
  transition: filter 0.5s,
    transform 0.25s cubic-bezier(0.785, 0.135, 0.15, 0.86);
  backface-visibility: hidden;
}

.grid__item--stacked {
  display: flex;
	flex-direction: column;
}

@include media-breakpoint-down(sm) {
	.grid__row {
		display: block;
	}
}

.grid__item--stacked > .grid__item {
  display: flex;
  flex: 1 0 auto;
}
</style>
